Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.dialect.internal
Class DialectResolverInitiator

    java.lang.Object
      org.hibernate.service.jdbc.dialect.internal.DialectResolverInitiator

All Implemented Interfaces:
  BasicServiceInitiator<DialectResolver>, ServiceInitiator<DialectResolver>

    public class DialectResolverInitiator

extends Object
implements BasicServiceInitiator<DialectResolver>

Standard initiator for the standard `DialectResolver` service

Field Summary
`static DialectResolverInitiator` | `INSTANCE`

Constructor Summary
`DialectResolverInitiator()`

Method Summary
`Class<DialectResolver>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`DialectResolver` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DialectResolverInitiator INSTANCE

Constructor Detail

### DialectResolverInitiator

    public DialectResolverInitiator()

Method Detail

### getServiceInitiated

    public Class<DialectResolver> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<DialectResolver>`
  Returns:
    The service role.

### initiateService

    public DialectResolver initiateService(Map configurationValues,
                                           ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<DialectResolver>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.